com.google.gwt.text.client

## Class DateTimeFormatRenderer

- java.lang.Object
- - com.google.gwt.text.shared.AbstractRenderer<java.util.Date>
  - - com.google.gwt.text.client.DateTimeFormatRenderer

- All Implemented Interfaces:
    Renderer<java.util.Date>

      public class DateTimeFormatRenderer
      extends AbstractRenderer<java.util.Date>

  Renders `Date` objects with a `DateTimeFormat`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateTimeFormatRenderer()` Create an instance using `DateTimeFormat.PredefinedFormat.DATE_SHORT`.
    `DateTimeFormatRenderer(DateTimeFormat format)` Create an instance with the given format and the default time zone.
    `DateTimeFormatRenderer(DateTimeFormat format, TimeZone timeZone)` Create an instance with the given format and time zone.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `render(java.util.Date object)` Renders `object` as plain text.

    - ### Methods inherited from class com.google.gwt.text.shared.AbstractRenderer

      `render`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateTimeFormatRenderer

          public DateTimeFormatRenderer()

      Create an instance using `DateTimeFormat.PredefinedFormat.DATE_SHORT`.

    - #### DateTimeFormatRenderer

          public DateTimeFormatRenderer(DateTimeFormat format)

      Create an instance with the given format and the default time zone.

    - #### DateTimeFormatRenderer

          public DateTimeFormatRenderer(DateTimeFormat format,
                                        TimeZone timeZone)

      Create an instance with the given format and time zone.

  - ### Method Detail

    - #### render

          public java.lang.String render(java.util.Date object)

      Description copied from interface: `Renderer`
      Renders `object` as plain text. Should never throw any exceptions!